package com.eggy.webapi.controller;

import com.eggy.webapi.client.EurekaclientClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/hello")
public class HelloController {

    @Autowired
    private EurekaclientClient eurekaclientClient;

    @GetMapping("/showHelloConfig")
    public String showHelloConfig(){
        return eurekaclientClient.showHelloConfig();
    }
}